Lightroom Classic: "Catalog cannot be opened because it is too new"

  • 1
  • Question
  • Updated 10 months ago
  • (Edited)
Worked on a catalog on Lightroom Classic CC on a windows machine. Tried to open catalog on my Mac and I get an error message "cannot be opened because it is too new"

I have checked, but my creative cloud app says my lightroom is up to date.








Photo of William Vaz

William Vaz

  • 2 Posts
  • 0 Reply Likes

Posted 11 months ago

  • 1
Photo of Johan Elzenga

Johan Elzenga, Champion

  • 1397 Posts
  • 565 Reply Likes
Did you try to open this catalog by double clicking on it? If so, maybe an older version of Lightroom (version 6) starts up instead of R Classic.
(Edited)
Photo of ABHISHEK KUMAR

ABHISHEK KUMAR, Employee

  • 33 Posts
  • 14 Reply Likes
Please check the system info in Help menu, to see which version of Lightroom, the catalog is opened in.
(Edited)
Photo of Johan Elzenga

Johan Elzenga, Champion

  • 1396 Posts
  • 565 Reply Likes
Unfortunately you can't do this because Lightroom does not run until the catalog is actually opened...
Photo of ABHISHEK KUMAR

ABHISHEK KUMAR, Employee

  • 33 Posts
  • 14 Reply Likes
You can always opt to create new catalog to launch Lightroom and see the version.
(Edited)
Photo of Alan Harper

Alan Harper

  • 424 Posts
  • 84 Reply Likes
If these answers aren't clear, find the catalog in the Finder, click once, hit cmd-I, and find the "open with" item, and make sure it says "Adobe Lightroom Classic CC"
Photo of Kevin Von Tscharner

Kevin Von Tscharner

  • 1 Post
  • 0 Reply Likes
Hi ! Did you just update to the "Classic" version ?? I had the same problem. My Mac kept both versions. Therefore if I went to the Dock at the bottom of my Mac the "Lr" link still opened the old version of Lightroom.  SOLUTION : I removed this link, opened the "Launchpad" where I found the new version that then added to the Dock. It now opens the new / "Classic" version of Lightroom. Personally I then also deleted the old version to free my computer of the 2gb...  I hope this helps !!